# Source code for azure.mgmt.datalake.analytics.catalog.models.data_lake_analytics_catalog_secret_create_or_update_parameters_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class DataLakeAnalyticsCatalogSecretCreateOrUpdateParameters(Model):
        """Data Lake Analytics catalog secret creation and update parameters. This is
        deprecated and will be removed in the next release. Please use
        DataLakeAnalyticsCatalogCredentialCreateOrUpdateParameters instead.

        All required parameters must be populated in order to send to Azure.

        :param password: Required. the password for the secret to pass in
        :type password: str
        :param uri: the URI identifier for the secret in the format
         <hostname>:<port>
        :type uri: str
        """

        _validation = {
            'password': {'required': True},
        }

        _attribute_map = {
            'password': {'key': 'password', 'type': 'str'},
            'uri': {'key': 'uri', 'type': 'str'},
        }

        def __init__(self, *, password: str, uri: str=None, **kwargs) -> None:
            super(DataLakeAnalyticsCatalogSecretCreateOrUpdateParameters, self).__init__(**kwargs)
            self.password = password
            self.uri = uri